import { useState } from "react";
import Button from "../../Base/button";
import Input from "../../Base/input";
import Layout from "../../Base/layout";
import styles from "./login.module.css";
import { toast } from "react-toastify";
function Login({ onSubmit }) {
  const [mobile, setMobile] = useState("");
  const handleSubmit = (e) => {
    e.preventDefault();
    if (mobile.length < 10) {
      toast.info("mobile should be 10 digits");
    } else {
      onSubmit({ mobile });
      setMobile("");
    }
  };

  return (
    <Layout title="Login">
      <form onSubmit={handleSubmit}>
        <label>Mobile:</label>
        <Input
          placeholder="Enter Mobile"
          type="tel"
          required
          // onKeyPress={(event) => {
          //   if (!/[0-9]/.test(event.key)) {
          //     event.preventDefault();
          //   }
          // }}
          maxLength={10}
          onChange={(e) => setMobile(e.target.value)}
        />
        <Button>Submit</Button>
      </form>
    </Layout>
  );
}

export default Login;
